'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

const defaultOptions = { ast: false };

exports.default = userOptions => input => {
  return function babel(log) {
    const babelTransform = require('babel-core').transform;

    return new Promise(resolve => {
      const files = input.map(file => {
        const options = _extends({}, defaultOptions, {
          inputSourceMap: file.map
        }, userOptions, {
          filename: file.path
        });

        const result = babelTransform(file.data, options);

        log(file.path);

        return {
          path: file.path,
          data: result.code,
          map: result.map
        };
      });

      resolve(files);
    });
  };
};